<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: lpt_wall_film_mot.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_bf95828e8e3a9487a1728a98541aefc2.html">lpt</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">lpt_wall_film_mot.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacelpt__wall__film__mot"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html">lpt_wall_film_mot</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a7bee03b34d022a5e2dd0796cf4a87e8e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a7bee03b34d022a5e2dd0796cf4a87e8e">lpt_wall_film_mot::lpt_wall_film_mot_init</a> (lpt_in, ind_x, ind_y, ind_z, part_neq)</td></tr>
<tr class="separator:a7bee03b34d022a5e2dd0796cf4a87e8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2464bb9ef3bacde93e69f8753d79ee3"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#ac2464bb9ef3bacde93e69f8753d79ee3">lpt_wall_film_mot::lpt_wall_film_mot_rhs</a> (vdf, dt_solve, vdfdt_inv, dfdt, fp_cell_mid, N, Ugas, U_fp, tau_w, Force, P_imp_loc, M_imp_loc, film_h_loc, film_h_inv, film_vel_vec, mu_g, rhol, mu_L, dx_avg, tmin)</td></tr>
<tr class="separator:ac2464bb9ef3bacde93e69f8753d79ee3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a277fc1bea546758f893ac2f51f38ce2a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a277fc1bea546758f893ac2f51f38ce2a">lpt_wall_film_mot::lpt_wall_film_mot_monitor_init</a> (sd, lpt_in)</td></tr>
<tr class="memdesc:a277fc1bea546758f893ac2f51f38ce2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes wall film motion monitor variables if applicable.  <a href="namespacelpt__wall__film__mot.html#a277fc1bea546758f893ac2f51f38ce2a">More...</a><br /></td></tr>
<tr class="separator:a277fc1bea546758f893ac2f51f38ce2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e0b7ebc1691c6c38cbc638d5b25079d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a7e0b7ebc1691c6c38cbc638d5b25079d">lpt_wall_film_mot::lpt_wall_film_mot_monitor_update</a> (sd, lpt_in)</td></tr>
<tr class="memdesc:a7e0b7ebc1691c6c38cbc638d5b25079d"><td class="mdescLeft">&#160;</td><td class="mdescRight">updates wall film motion monitor variables  <a href="namespacelpt__wall__film__mot.html#a7e0b7ebc1691c6c38cbc638d5b25079d">More...</a><br /></td></tr>
<tr class="separator:a7e0b7ebc1691c6c38cbc638d5b25079d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a85dc1334c3e9f13ae62fe8106f5fa005"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a85dc1334c3e9f13ae62fe8106f5fa005">lpt_wall_film_mot::part_motion</a></td></tr>
<tr class="separator:a85dc1334c3e9f13ae62fe8106f5fa005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a135640cd6ebe84c7930ad54e19206a88"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a135640cd6ebe84c7930ad54e19206a88">lpt_wall_film_mot::ix</a></td></tr>
<tr class="separator:a135640cd6ebe84c7930ad54e19206a88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7836c771a738dcc56f8121b992db65ae"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a7836c771a738dcc56f8121b992db65ae">lpt_wall_film_mot::iy</a></td></tr>
<tr class="separator:a7836c771a738dcc56f8121b992db65ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b7ed2df1ef5e668d1f367e71894c481"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a3b7ed2df1ef5e668d1f367e71894c481">lpt_wall_film_mot::iz</a></td></tr>
<tr class="separator:a3b7ed2df1ef5e668d1f367e71894c481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe6b2f23c3eaa4d8efd697fe647ab88d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#abe6b2f23c3eaa4d8efd697fe647ab88d">lpt_wall_film_mot::gravity</a></td></tr>
<tr class="separator:abe6b2f23c3eaa4d8efd697fe647ab88d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbd7f2cc27bbb9f4dc3c0a9361ddd532"><td class="memItemLeft" align="right" valign="top">real(wp), parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#afbd7f2cc27bbb9f4dc3c0a9361ddd532">lpt_wall_film_mot::tiny</a> = 1.0e-40_WP</td></tr>
<tr class="separator:afbd7f2cc27bbb9f4dc3c0a9361ddd532"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9fd9dc9fec55550ea5a56ed7ad8efe6"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#ab9fd9dc9fec55550ea5a56ed7ad8efe6">lpt_wall_film_mot::wf_momentum</a></td></tr>
<tr class="separator:ab9fd9dc9fec55550ea5a56ed7ad8efe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add171106201b01a0dfe9d46935174461"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#add171106201b01a0dfe9d46935174461">lpt_wall_film_mot::film_vel_min_</a></td></tr>
<tr class="separator:add171106201b01a0dfe9d46935174461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b507e08ca008ae8a3c30cc80fd69f8a"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3), public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__wall__film__mot.html#a3b507e08ca008ae8a3c30cc80fd69f8a">lpt_wall_film_mot::film_vel_max_</a></td></tr>
<tr class="separator:a3b507e08ca008ae8a3c30cc80fd69f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
